using Avalonia;
using Avalonia.Controls;

namespace InABox.Avalonia.Components;

public partial class AvaloniaModuleList : UserControl
{
    public static readonly StyledProperty<AvaloniaModuleCollection> ModulesProperty =
        AvaloniaProperty.Register<AvaloniaModuleList, AvaloniaModuleCollection>(nameof(Modules));

    public AvaloniaModuleList()
    {
        InitializeComponent();
    }

    public AvaloniaModuleCollection Modules
    {
        get => GetValue(ModulesProperty);
        set => SetValue(ModulesProperty, value);
    }
}